# JSXGraph Reference

## JavaScript must be enabled in order for you to use JSXGraph and JSXGraph reference. However, it seems JavaScript is either disabled or not supported by your browser.

Class Index | File Index

## Elements

## Classes

- _global_
- Angle
- Arc
- Arrow
- Arrowparallel
- Axis
- Bisector
- Bisectorlines
- Boxplot
- Button
- Cardinalspline
- Chart
- Checkbox
- Circle
- Circumcenter
- Circumcircle
- CircumcircleArc
- CircumcircleSector
- Comb
- Conic
- Constants
- Curve
- CurveDifference
- CurveIntersection
- CurveUnion
- Derivative
- Ellipse
- ForeignObject
- Functiongraph
- Glider
- Grid
- Group
- Hatch
- Hyperbola
- Image
- Incenter
- Incircle
- Inequality
- Input
- Integral
- Intersection
- JXG
- JXG.AbstractRenderer
- JXG.Board
- JXG.C
- JXG.CA
- JXG.CanvasRenderer
- JXG.Chart
- JXG.Circle
- JXG.Complex
- JXG.Composition
- JXG.Coords
- JXG.CoordsElement
- JXG.Curve
- JXG.Dump
- JXG.EventEmitter
- JXG.ForeignObject
- JXG.GeometryElement
- JXG.GeonextParser
- JXG.Group
- JXG.Image
- JXG.JessieCode
- JXG.JSXGraph
- JXG.Legend
- JXG.Line
- JXG.Math
- JXG.Math.Clip
- JXG.Math.Extrapolate
- JXG.Math.Geometry
- JXG.Math.IntervalArithmetic
- JXG.Math.Metapost
- JXG.Math.Nlp
- JXG.Math.Numerics
- JXG.Math.Plot
- JXG.Math.Poly
- JXG.Math.Poly.Monomial
- JXG.Math.Poly.Polynomial
- JXG.Math.Poly.Ring
- JXG.Math.ProbFuncs
- JXG.Math.Quadtree
- JXG.Math.Statistics
- JXG.Math.Symbolic
- JXG.NoRenderer
- JXG.Options
- JXG.Point
- JXG.Polygon
- JXG.Server
- JXG.Server.modules
- JXG.SVGRenderer
- JXG.Text
- JXG.Ticks
- JXG.Transformation
- JXG.Turtle
- JXG.Util
- JXG.Util.Base64
- JXG.Util.Unzip
- JXG.Util.UTF8
- JXG.VMLRenderer
- JXG.XML
- Label
- Legend
- Line
- Locus
- MajorArc
- MajorSector
- Metapostspline
- Midpoint
- MinorArc
- MinorSector
- Mirrorelement
- Mirrorpoint
- NonReflexAngle
- Normal
- Orthogonalprojection
- OtherIntersection
- Parabola
- Parallel
- Parallelpoint
- Perpendicular
- PerpendicularPoint
- PerpendicularSegment
- Point
- PolarLine
- PolePoint
- Polygon
- PolygonalChain
- RadicalAxis
- Reflection
- ReflexAngle
- RegularPolygon
- Riemannsum
- Sector
- Segment
- Semicircle
- Slider
- Slopetriangle
- Spline
- Stepfunction
- Tangent
- Tapemeasure
- Text
- Ticks
- Tracecurve
- Transformation
- Turtle

# Namespace JXG.Math.IntervalArithmetic

↳ JXG.Math.IntervalArithmetic

Defined in: ia.js.

Namespace Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| JXG.Math.IntervalArithmetic Object for interval arithmetics.

Method Summary
Method Attributes | Method Name and Description
--- | ---
<static> | JXG.Math.IntervalArithmetic.abs(x)
<static> | JXG.Math.IntervalArithmetic.acos(x)
<static> | JXG.Math.IntervalArithmetic.add(x, y) Addition
<static> | JXG.Math.IntervalArithmetic.asin(x)
<static> | JXG.Math.IntervalArithmetic.atan(x)
<static> | JXG.Math.IntervalArithmetic.cos(x)
<static> | JXG.Math.IntervalArithmetic.cosh(x)
<static> | JXG.Math.IntervalArithmetic.difference(x, y) Difference of overlapping intervals x and y
<static> | JXG.Math.IntervalArithmetic.div(x, y) Division
<private> <static> | JXG.Math.IntervalArithmetic.divNegative(x, y)
<private> <static> | JXG.Math.IntervalArithmetic.divNonZero(x, y)
<private> <static> | JXG.Math.IntervalArithmetic.divPositive(x, y)
<private> <static> | JXG.Math.IntervalArithmetic.divZero(x)
<static> | JXG.Math.IntervalArithmetic.equal(x, y)
<static> | JXG.Math.IntervalArithmetic.exp(x)
<static> | JXG.Math.IntervalArithmetic.fmod(x, y) x mod y: x - n * y
<static> | JXG.Math.IntervalArithmetic.geq(x, y)
<static> | JXG.Math.IntervalArithmetic.gt(x, y)
<static> | JXG.Math.IntervalArithmetic.hasInterval(x, y) Test if interval x contains interval y.
<static> | JXG.Math.IntervalArithmetic.hasValue(i, value) Test if interval contains a specific value.
<static> | JXG.Math.IntervalArithmetic.hull(x, y) Hull of intervals x and y
<static> | JXG.Math.IntervalArithmetic.intersection(x, y) Intersection of intervals x and y
<static> | JXG.Math.IntervalArithmetic.intervalsOverlap(x, y) Test if intervals x and y have non-zero intersection.
<static> | JXG.Math.IntervalArithmetic.isEmpty(i) Test if interval is empty set.
<static> | JXG.Math.IntervalArithmetic.isWhole(i) Test if interval is (-Infinity, Infinity).
<static> | JXG.Math.IntervalArithmetic.leq(x, y)
<static> | JXG.Math.IntervalArithmetic.ln(x) Natural log, alias for JXG.Math.IntervalArithmetic#log.
<static> | JXG.Math.IntervalArithmetic.log(x) Natural log
<static> | JXG.Math.IntervalArithmetic.log10(x) Logarithm to base 10.
<static> | JXG.Math.IntervalArithmetic.log2(x) Logarithm to base 2.
<static> | JXG.Math.IntervalArithmetic.lt(x, y)
<static> | JXG.Math.IntervalArithmetic.max(x, y)
<static> | JXG.Math.IntervalArithmetic.min(x, y)
<static> | JXG.Math.IntervalArithmetic.mul(x, y) Multiplication
<static> | JXG.Math.IntervalArithmetic.multiplicativeInverse(x) 1 / x
<static> | JXG.Math.IntervalArithmetic.negative(x) Return -x
<static> | JXG.Math.IntervalArithmetic.next(v)
<static> | JXG.Math.IntervalArithmetic.notEqual(x, y)
<static> | JXG.Math.IntervalArithmetic.nthRoot(x, n) x1/n
<static> | JXG.Math.IntervalArithmetic.positive(x) Return +x (i.e.
<static> | JXG.Math.IntervalArithmetic.pow(x, power) xpower
<static> | JXG.Math.IntervalArithmetic.prev(v)
<static> | JXG.Math.IntervalArithmetic.sin(x)
<static> | JXG.Math.IntervalArithmetic.sinh(x)
<static> | JXG.Math.IntervalArithmetic.sqrt(x) sqrt(x)
<static> | JXG.Math.IntervalArithmetic.sub(x, y) Subtraction
<static> | JXG.Math.IntervalArithmetic.tan(x)
<static> | JXG.Math.IntervalArithmetic.tanh(x)
<static> | JXG.Math.IntervalArithmetic.union(x, y) Union of overlapping intervals x and y
<static> | JXG.Math.IntervalArithmetic.width(x)
<static> | JXG.Math.IntervalArithmetic.zeroIn(i) Test if interval contains 0.

Namespace Detail
JXG.Math.IntervalArithmetic
Object for interval arithmetics.
Method Detail
<static> JXG.Math.IntervalArithmetic.abs(x)

Parameters:
{JXG.Math.Interval} x

Returns:
  JXG.Math.Interval

<static> JXG.Math.IntervalArithmetic.acos(x)

Parameters:
{JXG.Math.Interval} x

Returns:
  JXG.Math.Interval

<static> JXG.Math.IntervalArithmetic.add(x, y)
Addition

Parameters:
{JXG.Math.Interval|Number} x
{JXG.Math.Interval|Number} y

Returns:
  JXG.Math.Interval

<static> JXG.Math.IntervalArithmetic.asin(x)

Parameters:
{JXG.Math.Interval} x

Returns:
  JXG.Math.Interval

<static> JXG.Math.IntervalArithmetic.atan(x)

Parameters:
{JXG.Math.Interval} x

Returns:
  JXG.Math.Interval

<static> JXG.Math.IntervalArithmetic.cos(x)

Parameters:
{JXG.Math.Interval} x

Returns:
  JXG.Math.Interval

<static> JXG.Math.IntervalArithmetic.cosh(x)

Parameters:
{JXG.Math.Interval} x

Returns:
  JXG.Math.Interval

<static> JXG.Math.IntervalArithmetic.difference(x, y)
Difference of overlapping intervals x and y

Parameters:
{JXG.Math.Interval} x
{JXG.Math.Interval} y

Returns:
  JXG.Math.Interval

<static> JXG.Math.IntervalArithmetic.div(x, y)
Division

Parameters:
{JXG.Math.Interval|Number} x
{JXG.Math.Interval|Number} y

Returns:
  JXG.Math.Interval

<private> <static> JXG.Math.IntervalArithmetic.divNegative(x, y)

Parameters:
{JXG.Math.Interval} x
{JXG.Math.Interval} y

Returns:
  JXG.Math.Interval

<private> <static> JXG.Math.IntervalArithmetic.divNonZero(x, y)

Parameters:
{JXG.Math.Interval} x
{JXG.Math.Interval} y

Returns:
  JXG.Math.Interval

<private> <static> JXG.Math.IntervalArithmetic.divPositive(x, y)

Parameters:
{JXG.Math.Interval} x
{JXG.Math.Interval} y

Returns:
  JXG.Math.Interval

<private> <static> JXG.Math.IntervalArithmetic.divZero(x)

Parameters:
{JXG.Math.Interval} x

Returns:
  JXG.Math.Interval

<static> JXG.Math.IntervalArithmetic.equal(x, y)

Parameters:
{JXG.Math.Interval} x
{JXG.Math.Interval} y

Returns:
  Boolean

<static> JXG.Math.IntervalArithmetic.exp(x)

Parameters:
{JXG.Math.Interval|Number} x

Returns:
  JXG.Math.Interval

<static> JXG.Math.IntervalArithmetic.fmod(x, y)
x mod y: x - n * y

Parameters:
{JXG.Math.Interval|Number} x
{JXG.Math.Interval|Number} y

Returns:
  JXG.Math.Interval

<static> JXG.Math.IntervalArithmetic.geq(x, y)

Parameters:
{JXG.Math.Interval} x
{JXG.Math.Interval} y

Returns:
  Boolean

<static> JXG.Math.IntervalArithmetic.gt(x, y)

Parameters:
{JXG.Math.Interval} x
{JXG.Math.Interval} y

Returns:
  Boolean

<static> JXG.Math.IntervalArithmetic.hasInterval(x, y)
Test if interval x contains interval y.

Parameters:
{JXG.Math.Interval} x
{JXG.Math.Interval} y

Returns:
  Boolean

<static> JXG.Math.IntervalArithmetic.hasValue(i, value)
Test if interval contains a specific value.

Parameters:
{JXG.Math.Interval} i
{Number} value

Returns:
  Boolean

<static> JXG.Math.IntervalArithmetic.hull(x, y)
Hull of intervals x and y

Parameters:
{JXG.Math.Interval} x
{JXG.Math.Interval} y

Returns:
  JXG.Math.Interval

<static> JXG.Math.IntervalArithmetic.intersection(x, y)
Intersection of intervals x and y

Parameters:
{JXG.Math.Interval} x
{JXG.Math.Interval} y

Returns:
  JXG.Math.Interval

<static> JXG.Math.IntervalArithmetic.intervalsOverlap(x, y)
Test if intervals x and y have non-zero intersection.

Parameters:
{JXG.Math.Interval} x
{JXG.Math.Interval} y

Returns:
  Boolean

<static> JXG.Math.IntervalArithmetic.isEmpty(i)
Test if interval is empty set.

Parameters:
{JXG.Math.Interval} i

Returns:
  Boolean

<static> JXG.Math.IntervalArithmetic.isWhole(i)
Test if interval is (-Infinity, Infinity).

Parameters:
{JXG.Math.Interval} i

Returns:
  Boolean

<static> JXG.Math.IntervalArithmetic.leq(x, y)

Parameters:
{JXG.Math.Interval} x
{JXG.Math.Interval} y

Returns:
  Boolean

<static> JXG.Math.IntervalArithmetic.ln(x)
Natural log, alias for JXG.Math.IntervalArithmetic#log.

Parameters:
{JXG.Math.Interval|Number} x

Returns:
  JXG.Math.Interval

<static> JXG.Math.IntervalArithmetic.log(x)
Natural log

Parameters:
{JXG.Math.Interval|Number} x

Returns:
  JXG.Math.Interval

<static> JXG.Math.IntervalArithmetic.log10(x)
Logarithm to base 10.

Parameters:
{JXG.Math.Interval|Number} x

Returns:
  JXG.Math.Interval

<static> JXG.Math.IntervalArithmetic.log2(x)
Logarithm to base 2.

Parameters:
{JXG.Math.Interval|Number} x

Returns:
  JXG.Math.Interval

<static> JXG.Math.IntervalArithmetic.lt(x, y)

Parameters:
{JXG.Math.Interval} x
{JXG.Math.Interval} y

Returns:
  Boolean

<static> JXG.Math.IntervalArithmetic.max(x, y)

Parameters:
{JXG.Math.Interval} x
{JXG.Math.Interval} y

Returns:
  JXG.Math.Interval

<static> JXG.Math.IntervalArithmetic.min(x, y)

Parameters:
{JXG.Math.Interval} x
{JXG.Math.Interval} y

Returns:
  JXG.Math.Interval

<static> JXG.Math.IntervalArithmetic.mul(x, y)
Multiplication

Parameters:
{JXG.Math.Interval|Number} x
{JXG.Math.Interval|Number} y

Returns:
  JXG.Math.Interval

<static> JXG.Math.IntervalArithmetic.multiplicativeInverse(x)
1 / x

Parameters:
{JXG.Math.Interval|Number} x

Returns:
  JXG.Math.Interval

<static> JXG.Math.IntervalArithmetic.negative(x)
Return -x

Parameters:
{JXG.Math.Interval} x

Returns:
  JXG.Math.Interval

<static> JXG.Math.IntervalArithmetic.next(v)

Parameters:
v

<static> JXG.Math.IntervalArithmetic.notEqual(x, y)

Parameters:
{JXG.Math.Interval} x
{JXG.Math.Interval} y

Returns:
  Boolean

<static> JXG.Math.IntervalArithmetic.nthRoot(x, n)
x1/n

Parameters:
{JXG.Math.Interval|Number} x
{Number} n

Returns:
  JXG.Math.Interval

<static> JXG.Math.IntervalArithmetic.positive(x)
Return +x (i.e. identity)

Parameters:
{JXG.Math.Interval} x

Returns:
  JXG.Math.Interval

<static> JXG.Math.IntervalArithmetic.pow(x, power)
xpower

Parameters:
{JXG.Math.Interval|Number} x
{JXG.Math.Interval|Number} power

Returns:
  JXG.Math.Interval

<static> JXG.Math.IntervalArithmetic.prev(v)

Parameters:
v

<static> JXG.Math.IntervalArithmetic.sin(x)

Parameters:
{JXG.Math.Interval} x

Returns:
  JXG.Math.Interval

<static> JXG.Math.IntervalArithmetic.sinh(x)

Parameters:
{JXG.Math.Interval} x

Returns:
  JXG.Math.Interval

<static> JXG.Math.IntervalArithmetic.sqrt(x)
sqrt(x)

Parameters:
{JXG.Math.Interval|Number} x

Returns:
  JXG.Math.Interval

<static> JXG.Math.IntervalArithmetic.sub(x, y)
Subtraction

Parameters:
{JXG.Math.Interval|Number} x
{JXG.Math.Interval|Number} y

Returns:
  JXG.Math.Interval

<static> JXG.Math.IntervalArithmetic.tan(x)

Parameters:
{JXG.Math.Interval} x

Returns:
  JXG.Math.Interval

<static> JXG.Math.IntervalArithmetic.tanh(x)

Parameters:
{JXG.Math.Interval} x

Returns:
  JXG.Math.Interval

<static> JXG.Math.IntervalArithmetic.union(x, y)
Union of overlapping intervals x and y

Parameters:
{JXG.Math.Interval} x
{JXG.Math.Interval} y

Returns:
  JXG.Math.Interval

<static> JXG.Math.IntervalArithmetic.width(x)

Parameters:
{JXG.Math.Interval} x

Returns:
  JXG.Math.Interval

<static> JXG.Math.IntervalArithmetic.zeroIn(i)
Test if interval contains 0.

Parameters:
{JXG.Math.Interval} i

Returns:
  Boolean